<?php
declare(strict_types=1);

namespace FiloBlu\Core\Model\Data;

use FiloBlu\Core\Api\Data\FbOrderExtensionAttrInterface;

class FbOrderExtensionAttr extends \Magento\Framework\Api\AbstractExtensibleObject implements FbOrderExtensionAttrInterface
{

    /**
     * {@inheritdoc}
     */
    public function getFborderextensionattrId()
    {
        return $this->_get(self::FBORDEREXTENSIONATTR_ID);
    }

    /**
     * {@inheritdoc}
     */
    public function setFborderextensionattrId($fborderextensionattrId)
    {
        return $this->setData(self::FBORDEREXTENSIONATTR_ID, $fborderextensionattrId);
    }

    /**
     * {@inheritdoc}
     */
    public function getOrderId()
    {
        return $this->_get(self::ORDER_ID);
    }

    /**
     * {@inheritdoc}
     */
    public function setOrderId($orderId)
    {
        return $this->setData(self::ORDER_ID, $orderId);
    }

    /**
     * {@inheritdoc}
     */
    public function getExtensionAttributes()
    {
        return $this->_getExtensionAttributes();
    }

    /**
     * {@inheritdoc}
     */
    public function setExtensionAttributes(
        \FiloBlu\Core\Api\Data\FbOrderExtensionAttrExtensionInterface $extensionAttributes
    ) {
        return $this->_setExtensionAttributes($extensionAttributes);
    }

    /**
     * {@inheritdoc}
     */
    public function getPreprintedRmaTrackingCode()
    {
        return $this->_get(self::PREPRINTED_RMA_TRACKING_CODE);
    }

    /**
     * {@inheritdoc}
     */
    public function setPreprintedRmaTrackingCode($preprintedRmaTrackingCode)
    {
        return $this->setData(self::PREPRINTED_RMA_TRACKING_CODE, $preprintedRmaTrackingCode);
    }

    /**
     * {@inheritdoc}
     */
    public function getShippingDocumentUrl(){
        return $this->_get(self::SHIPPING_DOCUMENT_URL);
    }

    /**
     * {@inheritdoc}
     */
    public function getShippingDocumentPayload(){
        return $this->_get(self::SHIPPING_DOCUMENT_PAYLOAD);
    }

    /**
     * {@inheritdoc}
     */
    public function setShippingDocumentUrl($url){
        return $this->setData(self::SHIPPING_DOCUMENT_URL, $url);
    }

    /**
     * {@inheritdoc}
     */
    public function setShippingDocumentPayload($payload){
        return $this->setData(self::SHIPPING_DOCUMENT_PAYLOAD, $payload);
    }

}

